# \hhu\zTextFormatter

Class to format text with different syntax tags.

## Summary

Methods
Properties
Constants
__construct()
t()
No public properties found
No constants found
No protected methods found
No protected properties found
N/A
loadMediaModel()
$linker
$Media
N/A

File
  app/TextFormatter.inc
Package
  Default
Class hierarchy
  \hhu\z\TextFormatter

## Tags

author | Oliver Hanraths oliver.hanraths@uni-duesseldorf.de

## Properties

### $linker

    $linker : \hhu\z\Linker

Linker to create links.

#### Type

\hhu\z\Linker

#

## Tags

None found

### $Media

    $Media : \hhu\z\model

Media-Model to retrieve media data

#### Type

\hhu\z\model

#

## Tags

static |

## Methods

### __construct()

    __construct(\hhu\z\Linker  $linker)

Create a new text formatter.

#### Parameters

\hhu\z\Linker | $linker | Linker to create links with

#

## Tags

None found

### t()

    t(string  $string) : string

Format a string.

#### Parameters

string | $string | String to format

#### Returns

string —

Formatted string

#

## Tags

None found

### loadMediaModel()

    loadMediaModel() : boolean

Load the Media-Model if it is not loaded

#### Returns

boolean —

Whether the Media-Model has been loaded or not

#

## Tags

None found

### TextFormatter.inc